import { AbortOptions, CatOptions, IpfsNodeType, IpfsFileStats, IpfsNode } from '../../ipfs';
import { LsResult } from 'ipfs-core-types/src/pin';
declare class HeliaNode implements IpfsNode {
    readonly nodeType: IpfsNodeType;
    get config(): {
        gatewayUrl: string;
    };
    private _isStarted;
    get isStarted(): boolean;
    private node?;
    private fs?;
    init(): Promise<void>;
    stat(cid: string, options?: AbortOptions): Promise<IpfsFileStats>;
    cat(cid: string, options?: CatOptions): AsyncIterable<Uint8Array>;
    add(content: File | string, options?: AbortOptions): Promise<any>;
    pin(cid: string, options?: AbortOptions): Promise<any>;
    getPeers(): Promise<string[]>;
    stop(): Promise<void>;
    start(): Promise<void>;
    connectPeer(address: string): Promise<boolean>;
    private mapToLsResult;
    ls(): AsyncIterable<LsResult>;
    info(): Promise<{
        id: string;
        agentVersion: string;
        repoSize: number;
    }>;
}
export default HeliaNode;
